> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Creative Setting

Create a new custom creative setting. This allows you to assign specific creatives to selected affiliates, overriding the default creative assignments for an offer.


## OpenAPI

````yaml openapi/custom-creatives-settings.yaml post /networks/custom/creative
openapi: 3.0.3
info:
  title: Everflow Network API - Custom Creative Settings
  description: >
    Endpoints for managing custom creative settings in the Everflow network.
    Custom creatives allow you to upload partner-specific creative assets that
    are only visible and usable by the selected partners, enabling targeted
    promotional materials for individual affiliates.
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Custom Creative Settings
paths:
  /networks/custom/creative:
    post:
      tags:
        - Custom Creative Settings
      summary: Create Custom Creative Setting
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomCreativeSettingInput'
            example:
              network_offer_creative_ids: []
              network_affiliate_ids:
                - 7
              name: Custom Creative Setting
              custom_setting_status: active
              creative:
                network_offer_id: 1
                name: Banner Ad 300x250
                creative_type: html
                is_private: false
                creative_status: active
                html_code: <div>Ad content</div>
                width: 300
                height: 250
                additional_offer_ids: []
                is_apply_specific_affiliates: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomCreativeSetting'
      security:
        - API Key: []
components:
  schemas:
    CustomCreativeSettingInput:
      type: object
      required:
        - network_affiliate_ids
        - name
        - custom_setting_status
        - creative
      properties:
        network_offer_creative_ids:
          type: array
          items:
            type: integer
          description: >-
            List of offer creative IDs to assign. When a `creative` object is
            provided, the newly created creative's ID will replace the values in
            this array.
        network_affiliate_ids:
          type: array
          items:
            type: integer
          description: List of affiliate IDs this setting applies to.
        name:
          type: string
          description: Custom creative setting name.
        custom_setting_status:
          type: string
          enum:
            - active
            - inactive
          description: Setting status.
        creative:
          type: object
          description: >-
            Creative object to create inline. A new creative is always created
            from this object.
          required:
            - network_offer_id
            - name
            - creative_type
            - is_private
            - creative_status
          properties:
            network_offer_id:
              type: integer
              description: Offer ID for the new creative.
            name:
              type: string
              description: Creative name.
            creative_type:
              type: string
              enum:
                - image
                - html
                - thumbnail
                - email
                - archive
                - video
                - text
              description: Creative type.
            is_private:
              type: boolean
              description: Whether the creative is private.
            creative_status:
              type: string
              enum:
                - active
                - deleted
              description: Creative status.
            html_code:
              type: string
              description: HTML code (required if type is html or email).
            width:
              type: integer
              description: Width in pixels (required if type is html).
            height:
              type: integer
              description: Height in pixels (required if type is html).
            email_from:
              type: string
              description: Sender email (required if type is email).
            email_subject:
              type: string
              description: Email subject (required if type is email).
            additional_offer_ids:
              type: array
              items:
                type: integer
              description: Additional offer IDs to associate.
            is_apply_specific_affiliates:
              type: boolean
              description: Apply to specific affiliates only.
            resource_file:
              type: object
              properties:
                temp_url:
                  type: string
                  description: Temporary URL of the uploaded file.
                original_file_name:
                  type: string
                  description: Original file name.
            html_files:
              type: array
              items:
                type: object
              description: HTML files for archive creatives.
            html_assets:
              type: array
              items:
                type: object
              description: HTML assets for archive creatives.
    CustomCreativeSetting:
      type: object
      properties:
        network_custom_creative_setting_id:
          type: integer
          description: Unique custom creative setting ID.
        network_id:
          type: integer
          description: Network ID.
        network_offer_creative_ids:
          type: array
          items:
            type: integer
          description: List of offer creative IDs assigned.
        network_affiliate_ids:
          type: array
          items:
            type: integer
          description: List of affiliate IDs this setting applies to.
        name:
          type: string
          description: Custom creative setting name.
        custom_setting_status:
          type: string
          enum:
            - active
            - inactive
          description: Setting status.
        time_created:
          type: integer
          example: 1734455015
          description: Unix timestamp of creation.
        time_saved:
          type: integer
          example: 1734455015
          description: Unix timestamp of last update.
        relationship:
          type: object
          properties:
            affiliates:
              type: array
              items:
                type: object
              description: Associated affiliate details.
            creative:
              type: object
              description: Associated creative details.
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````